%define realname PyPar2

Name:		pypar2
Version:	1.4
Release:	%mkrel 9
License:	GPLv2
Group:		File tools
Summary:	Graphical frontend for the Linux par2 command line
URL:		http://pypar2.silent-blade.org/
Source0:	http://pypar2.silent-blade.org/uploads/Main/%{name}-%{version}.tar.bz2
# add a patch from Debian to Use list of tuples instead of depending on the
# iteration order of a dict; fixes a crash when launching pypar2
# http://bugs.debian.org/617966
Patch0:		pypar2-1.4-fix-crash-typeorder.patch
BuildArch:	noarch
BuildRequires:	python, pygtk2.0-devel, pygtk2.0-libglade, python-pyxml, desktop-file-utils, python-vte
Requires:	pygtk2.0, pygtk2.0-libglade, parchive2, python-pyxml, python-vte

%description
PyPar2 is a graphical frontend for the Linux par2 command line, 
written in Python. Its GUI uses GTK through the PyGTK library.

PyPar2 is designed to be very easy to use. For this reason:

    * Advanced settings are present, but hidden by default.
    * There is no preferences dialog, all selected options 
      are automatically saved and restored. 

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1

%build


%install
rm -rf %{buildroot}

make install PREFIX=%{buildroot}/%{_prefix}

perl -pi -e 's,%{name}.png,%{name},g' %{buildroot}%{_datadir}/applications/*

desktop-file-install --vendor="" \
  --add-category="System;Filesystem" \
  --remove-category="Application" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/pypar2.desktop

rm -f %{buildroot}/%{_bindir}/pypar2
echo "python /usr/share/pypar2/src/main.py" > %{buildroot}/%{_bindir}/pypar2

%find_lang %name

%clean
rm -rf %{buildroot}

%files -f %name.lang
%defattr(-,root,root)
%{_datadir}/applications/pypar2.desktop
%{_mandir}/man1/pypar2.*
%{_datadir}/%{name}/res/*.glade
%{_datadir}/%{name}/src/*.py
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}/pix/*.png
%defattr(755,root,root)
%{_bindir}/pypar2


%changelog
* Tue May 17 2011 ahmad <ahmad> 1.4-9.mga1
+ Revision: 99584
- Add a patch from Debian to Use list of tuples instead of depending on the
  iteration order of a dict; fixes a crash when launching pypar2
  http://bugs.debian.org/617966; should fix (mga#1314)

* Tue Apr 12 2011 ahmad <ahmad> 1.4-8.mga1
+ Revision: 84028
- clean spec
- fix lincense tag
- drop old/unneeded scriptlets
- imported package pypar2


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.4-7mdv2010.0
+ Revision: 430821
- rebuild

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.4-6mdv2009.0
+ Revision: 259451
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.4-5mdv2009.0
+ Revision: 247319
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.4-3mdv2008.1
+ Revision: 171056
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 29 2007 Emmanuel Andry <eandry@mandriva.org> 1.4-2mdv2008.0
+ Revision: 93875
- fix menu entry
- fix desktop validation
- fix permissions (bug #34299)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix man pages

* Mon Apr 23 2007 Jérôme Soyer <saispo@mandriva.org> 1.4-1mdv2008.0
+ Revision: 17233
- New release 1.4


* Fri Mar 02 2007 Jérôme Soyer <saispo@mandriva.org> 1.3-2mdv2007.0
+ Revision: 131194
- Fix running

* Wed Feb 28 2007 Jérôme Soyer <saispo@mandriva.org> 1.3-1mdv2007.1
+ Revision: 126952
- Add BR
- Import pypar2

